Bug 510149 - ipa commands with New LDAP Backend Do Not work
ipa commands with New LDAP Backend Do Not work
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
2.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-07-07 17:37 EDT by Jenny Galipeau
Modified: 2015-01-04 18:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:28:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2009-07-07 17:37:21 EDT
Description of problem:
Executing any of the ipa CLI commands with the new LDAP back result in the following error:

SSL exception (-1, 'Unexpected EOF')
Traceback (most recent call last):
 File "/usr/bin/ipa", line 32, in ?
   cli.run(api)
 File "/usr/lib/python2.4/site-packages/ipalib/cli.py", line 746, in run
   api.Backend.cli.run(argv)
 File "/usr/lib/python2.4/site-packages/ipalib/cli.py", line 633, in run
   result = self.execute(name, **kw)
 File "/usr/lib/python2.4/site-packages/ipalib/backend.py", line 110, in execute
   result = self.Command[_name](*args, **options)
 File "/usr/lib/python2.4/site-packages/ipalib/plugable.py", line 410, in __call__
   return self['__call__'](*args, **kw)
 File "/usr/lib/python2.4/site-packages/ipalib/frontend.py", line 398, in __call__
   result = self.run(*args, **options)
 File "/usr/lib/python2.4/site-packages/ipalib/frontend.py", line 599, in run
   return self.forward(*args, **options)
 File "/usr/lib/python2.4/site-packages/ipalib/frontend.py", line 620, in forward
   return self.Backend.xmlclient.forward(self.name, *args, **kw)
 File "/usr/lib/python2.4/site-packages/ipalib/rpc.py", line 405, in forward
   response = command(*xml_wrap(params))
 File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
   return self.__send(self.__name, args)
 File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
   verbose=self.__verbose
 File "/usr/lib/python2.4/xmlrpclib.py", line 1137, in request
   headers
xmlrpclib.ProtocolError: <ProtocolError for jennyv2.bos.redhat.com/ipa/xml: -1 > 


/var/log/httpd/error_log

ipa: INFO: *** PROCESS START ***
httpd: Objects/stringobject.c:105: PyString_FromString: Assertion `str != ((void *)0)' failed.
[Tue Jul 07 17:23:06 2009] [notice] child pid 26350 exit signal Aborted (6)
ipa: DEBUG: importing all plugin modules in '/usr/lib/python2.4/site-packages/ipalib/plugins'...
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/aci.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/automount.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/basegroup.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/baseldap.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/cert.py'
ipa: INFO: skipping plugin module ipalib.plugins.cert: env.enable_ra is not True
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/config.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/delegation.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/dns.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/group.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/host.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/hostgroup.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/join.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/kerberos.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/misc.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/netgroup.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/passwd.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/pwpolicy.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/rolegroup.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/service.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/taskgroup.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/user.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/xmlclient.py'
ipa: DEBUG: importing all plugin modules in '/usr/lib/python2.4/site-packages/ipaserver/plugins'...
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipaserver/plugins/ldap2.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipaserver/plugins/ldapapi.py'
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipaserver/plugins/ra.py'
ipa: INFO: skipping plugin module ipaserver.plugins.ra: env.enable_ra is not True
ipa: DEBUG: importing plugin module '/usr/lib/python2.4/site-packages/ipaserver/plugins/xmlserver.py' 

Version-Release number of selected component (if applicable):
2.0

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jenny Galipeau 2009-07-08 10:09:49 EDT
SSL exception resolve with Rob's latest patch ... but now ... happens trying to execute any command.


[root@jennyv2 /]# kinit admin
Password for admin@BOS.REDHAT.COM: 
[root@jennyv2 /]# ipa host-add jennyv3.bos.redhat.com
ipa: ERROR: an internal error has occurred


/var/log/httpd/error_log

ipa: INFO: Created connection context.ldap2
ipa: DEBUG: raw: host_add(u'jennyv3.bos.redhat.com', nshardwareplatform=u'i686', nsosversion=u'redhat 5.3 Tikanga')
ipa: INFO: host_add(u'jennyv3.bos.redhat.com', nshardwareplatform=u'i686', nsosversion=u'redhat 5.3 Tikanga')
ipa: ERROR: non-public: AttributeError: 'module' object has no attribute 'explode_dn'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/ipalib/backend.py", line 110, in execute
    result = self.Command[_name](*args, **options)
  File "/usr/lib/python2.4/site-packages/ipalib/plugable.py", line 410, in __call__
    return self['__call__'](*args, **kw)
  File "/usr/lib/python2.4/site-packages/ipalib/frontend.py", line 398, in __call__
    result = self.run(*args, **options)
  File "/usr/lib/python2.4/site-packages/ipalib/frontend.py", line 598, in run
    return self.execute(*args, **options)
  File "/usr/lib/python2.4/site-packages/ipalib/plugins/host.py", line 155, in execute
    dn = ldap.make_dn(entry_attrs, 'fqdn', _container_dn)
  File "/usr/lib/python2.4/site-packages/ipaserver/plugins/ldap2.py", line 291, in make_dn
    return self.make_dn_from_rdn(rdn, parent_dn)
  File "/usr/lib/python2.4/site-packages/ipaserver/plugins/ldap2.py", line 268, in make_dn_from_rdn
    parent_dn = self.normalize_dn(parent_dn)
  File "/usr/lib/python2.4/site-packages/ipaserver/plugins/ldap2.py", line 238, in normalize_dn
    rdns = _ldap.dn.explode_dn(dn)
AttributeError: 'module' object has no attribute 'explode_dn'
ipa: INFO: Destroyed connection context.ldap2
ipa: INFO: response: InternalError: an internal error has occurred
Comment 2 Rob Crittenden 2009-07-08 13:41:32 EDT
The ldap.get_option() SSL fix is: 45a40635bb6867f55f757413776c2374ae07a888
The explode_dn fix on master is: 3b613091bbc952e03ae73640311a8136f40a95ff

Note You need to log in before you can comment on or make changes to this bug.